<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::Message Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1Message.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::Message Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac126e24804817a053bebba0920d94a11"><td class="memItemLeft" align="right" valign="top"><a id="ac126e24804817a053bebba0920d94a11"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Message</b> (const <a class="el" href="classtesting_1_1Message.html">Message</a> &amp;msg)</td></tr>
<tr class="separator:ac126e24804817a053bebba0920d94a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9de694ca239486809fc99fbbea8ac21d"><td class="memItemLeft" align="right" valign="top"><a id="a9de694ca239486809fc99fbbea8ac21d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Message</b> (const char *str)</td></tr>
<tr class="separator:a9de694ca239486809fc99fbbea8ac21d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0e71be52d54c20a75a55fca812721f"><td class="memTemplParams" colspan="2"><a id="a2e0e71be52d54c20a75a55fca812721f"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a2e0e71be52d54c20a75a55fca812721f"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classtesting_1_1Message.html">Message</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator&lt;&lt;</b> (const T &amp;val)</td></tr>
<tr class="separator:a2e0e71be52d54c20a75a55fca812721f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3ab685879958f90d2d8cd5b68d10c34"><td class="memTemplParams" colspan="2"><a id="aa3ab685879958f90d2d8cd5b68d10c34"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:aa3ab685879958f90d2d8cd5b68d10c34"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classtesting_1_1Message.html">Message</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator&lt;&lt;</b> (T *const &amp;pointer)</td></tr>
<tr class="separator:aa3ab685879958f90d2d8cd5b68d10c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a71a1c1c8ea52de5852d75483d41453"><td class="memItemLeft" align="right" valign="top"><a id="a3a71a1c1c8ea52de5852d75483d41453"></a>
<a class="el" href="classtesting_1_1Message.html">Message</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (BasicNarrowIoManip val)</td></tr>
<tr class="separator:a3a71a1c1c8ea52de5852d75483d41453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e1e04f23b1bdfe18adfd59928296346"><td class="memItemLeft" align="right" valign="top"><a id="a3e1e04f23b1bdfe18adfd59928296346"></a>
<a class="el" href="classtesting_1_1Message.html">Message</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (bool b)</td></tr>
<tr class="separator:a3e1e04f23b1bdfe18adfd59928296346"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0db9c22535b28bc863bfd0a1fdf7e14"><td class="memItemLeft" align="right" valign="top"><a id="ac0db9c22535b28bc863bfd0a1fdf7e14"></a>
<a class="el" href="classtesting_1_1Message.html">Message</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (const wchar_t *wide_c_str)</td></tr>
<tr class="separator:ac0db9c22535b28bc863bfd0a1fdf7e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1d3a041ac4bb9c929ee746b31a13d6a"><td class="memItemLeft" align="right" valign="top"><a id="ac1d3a041ac4bb9c929ee746b31a13d6a"></a>
<a class="el" href="classtesting_1_1Message.html">Message</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (wchar_t *wide_c_str)</td></tr>
<tr class="separator:ac1d3a041ac4bb9c929ee746b31a13d6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cdc4df62bdcc9df37651a1cf527704e"><td class="memItemLeft" align="right" valign="top"><a id="a2cdc4df62bdcc9df37651a1cf527704e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetString</b> () const</td></tr>
<tr class="separator:a2cdc4df62bdcc9df37651a1cf527704e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest-message_8h_source.html">gtest-message.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1Message.html">Message</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
